# Fediverse

# History

- OStatus protocol - GNU Social
- no standard, was going to be standardized, but W3C created ActivityPub instead

# ActivityPub

![How-the-Fediverse-connects](slides/fediverse/How-the-Fediverse-connects.png)
- created by W3C around 2019
- different software talking same protocol (Mastodon,Peertube,PixelFed,Lemmy)
- from Mastodon you can follow Lemmy users or Peertubers
- Peertube videos send a link to video over ActivityPub, but not video itself
- no E2E encryption
- can't transfer your account from one server to another (federated, not distributed)
- list of servers at [the-federation.info](https://the-federation.info/)
- visual of all servers at [fediverse.space](https://fediverse.space)

# Mastodon

- local timeline
- personal timeline 
- following hashtags
- no recommended posts, no sorting algorithms
- moving mastodon account from one server to another is supported (moves all your followers and accounts that you follow to the new account)
- some servers block other servers content (that have less strict moderation rules)
