# TLS (SSL) protoklol sifrovanja

# Motivacija

- Prisluskivanje (na LAN mrezi ili od ISP-a)
- Izmena podataka (skidanje programa)
- Potreban standard (treba sifrovati svaki protokol)

# Sifrovanje

- XOR ( Eclusive OR ) - Sabiranje po modulu 2
  0 ^ 0 = 0
  0 ^ 1 = 1
  1 ^ 0 = 1
  1 ^ 1 = 0
- komutativnost x ^ y = y ^ x
- asocijativnost (x ^ y) ^ z = x ^ (y ^ z)
- m ^ k = c (m je nasa tajna poruka, k je nasa nasumicno izabrana sifra)
  c ^ k = (m ^ k) ^ k = m ^ (k ^ k) = m ^ 0 = m

# Razmena kljuceva

- Diffie-Hellman (DH)
- g = 5 n = 11
  A = 3 B = 7
  an=(g ** A)%n -> Bob
  bn=(g ** B)%n -> Alice
- Boban racuna (an ** B)%n
- Anja racuna (bn ** A)%n
- (bn ** A)%n = (an ** B)%n

# Javni i privatni kljucevi

- Javni kljuc, tajni kljuc
- CA (public keys of CA)
- Javni kljuc -> CA -> CA potpisuje i salje digitalni potpis nazad
